import { Construct } from '@aws-cdk/core';
import { CommonAwsActionProps, IStage, ActionBindOptions, ActionConfig } from '@aws-cdk/aws-codepipeline';
import { Action } from '@aws-cdk/aws-codepipeline-actions';
export interface RegExp {
    readonly source: string;
}
export interface CommonCodePipelineCheckParameterActionProps extends CommonAwsActionProps {
    /**
     * The name of the parameter.
     */
    readonly parameterName: string;
    /**
     * Parameter is logged after successful check
     *
     * @default false The parameter is not logged
     */
    readonly logParameter?: boolean;
}
export interface CodePipelineCheckParameterActionProps extends CommonCodePipelineCheckParameterActionProps {
    /**
     * Regular expression to validate the parameter.
     */
    readonly regExp?: RegExp;
}
/**
 * Represents a reference to a CodePipelineCheckParameterAction.
 */
export declare class CodePipelineCheckParameterAction extends Action {
    private readonly props;
    constructor(props: CodePipelineCheckParameterActionProps);
    protected bound(scope: Construct, _stage: IStage, options: ActionBindOptions): ActionConfig;
}
